import c4d
from c4d import gui

ID_OCTANE_LIVEPLUGIN = 1029499
ID_OCTANE_CAMERATAG = 1029524

def main():
    
    sBC = doc.GetDataInstance();
    data = sBC.GetContainerInstance(ID_OCTANE_LIVEPLUGIN)
    tag = doc.GetActiveTag()
    if tag != None and tag.GetType()==ID_OCTANE_CAMERATAG: 
        tagBC = tag.GetDataInstance()
        print tagBC.GetReal(c4d.OCTANECAMERA_EXPOSURE)
        data.SetReal(c4d.SET_CAMIMAGER_EXPOSURE,     tagBC.GetReal(c4d.OCTANECAMERA_EXPOSURE))
        data.SetReal(c4d.SET_CAMIMAGER_GAMMA,        tagBC.GetReal(c4d.OCTANECAMERA_GAMMA))
        data.SetReal(c4d.SET_CAMIMAGER_HCOMPRESSION, tagBC.GetReal(c4d.OCTANECAMERA_HCOMPRESSION))
        data.SetInt32(c4d.SET_CAMIMAGER_RESPONSE,    tagBC.GetInt32(c4d.OCTANECAMERA_RESPONSE))
        data.SetBool(c4d.SET_CAMIMAGER_NATRESPONSE,  tagBC.GetBool(c4d.OCTANECAMERA_NAT_RESPONSE))
        data.SetReal(c4d.SET_CAMIMAGER_VIGNET,       tagBC.GetReal(c4d.OCTANECAMERA_VIGNETTING))
        data.SetReal(c4d.SET_CAMIMAGER_SATURATION,   tagBC.GetReal(c4d.OCTANECAMERA_SATURATION))
        data.SetReal(c4d.SET_CAMIMAGER_HOTREMOVAL,   tagBC.GetReal(c4d.OCTANECAMERA_HOTPIXEL))
        data.SetBool(c4d.SET_CAMIMAGER_GAMMA_BEFORE, tagBC.GetBool(c4d.OCTANECAMERA_GAMMA_BEFORE))
        data.SetBool(c4d.OCTANECAMERA_PREMALPHA,     tagBC.GetBool(c4d.OCTANECAMERA_PREMALPHA))
        data.SetVector(c4d.OCTANECAMERA_WHITEBALANCE, tagBC.GetVector(c4d.OCTANECAMERA_WHITEBALANCE))
    else:
        gui.MessageDialog('Select Octane camera tag!')

        print "copied"
 
if __name__=='__main__':
    main()

